const app = getApp()
import $login from './../../API/login'
Page({
  onLoad(query) {
    const _that = this;
    dd.setNavigationBar({ title: '' });
    //判断有无网络，判断是否离线
    dd.showLoading({
      content: '加载中...',
    });
    dd.getNetworkType({
      success: (res) => {
        // 有网络状态
        if (res.networkAvailable) {
          // 获取免登授权码
          dd.getAuthCode({
            success: function(res) {
              // 根据免登授权码获取用户信息
              _that.getUserMsg(res.authCode)
            },
            // 获取免登授权码失败
            fail: function(err) {
              console.log(err)
            }
          });
        }
        // 无网络状态
        else {
          if (dd.getStorageSync({ key: 'token' }).data && dd.getStorageSync({ key: 'token' }).data.access_token) {
            dd.redirectTo({
              url: '/pages/index/index'
            })
          }
          else {
            dd.hideLoading()
            dd.removeStorageSync({ key: 'token' })
            dd.redirectTo({
              url: '/pages/reTry/reTry'
            })
          }
        }
      }
    });
  },
  // 根据免登授权码获取用户的信息并进行全局存储
  getUserMsg(code) {
    const _that = this;
    let orgId = dd.corpId;
    dd.httpRequest({
      headers: {
        "Content-Type": "application/x-www-form-urlencoded"
      },
      url: `${app.globalData.globalUrl}/mingpay-phone/v1/skipAuth/getUserInfoByCode?code=${code}&orgId=${orgId}`,
      method: 'POST',
      dataType: 'json',
      success: function(res) {
        if (res.data.resultCode == 0) {
          const data = res.data.data
          dd.setStorageSync({
            key: 'name',
            data: data.oapiUser.name
          })
          dd.setStorageSync({
            key: 'mingUserId',
            data: data.mingUserId
          })
          dd.setStorageSync({
            key: 'userId',
            data: data.oapiUser.userid
          })
          dd.setStorageSync({
            key: 'avatar',
            data: data.oapiUser.avatar
          })
          $login.login()
        }
        else if (res.data.resultCode == 4003) {
          dd.alert({
            content: '账号已注销，请联系管理员处理',
            buttonText: '确定'
          })
        }
        else {
          dd.hideLoading()
          dd.removeStorageSync({ key: 'token' })
          dd.redirectTo({
            url: '/pages/reTry/reTry'
          })
        }
      },
      fail: function(res) {
        dd.hideLoading();
        console.log('err', res.errorMessage)
        if (res.errorMessage == "NETWORK ERROR") {
          dd.alert({
            content: '网络异常，稍后再试',
            buttonText: '确定'
          })
        }
        else {
          dd.hideLoading()
          dd.removeStorageSync({ key: 'token' })
          dd.redirectTo({
            url: '/pages/reTry/reTry'
          })
        }
      }

    })
  },
  onReady() {
    // 页面加载完成
  },
  onShow() {
    // 页面显示
  },
  onHide() {
    // 页面隐藏
  },
  onUnload() {
    // 页面被关闭
  },
  onTitleClick() {
    // 标题被点击
  },
  onReachBottom() {
    // 页面被拉到底部
  },
  onShareAppMessage() {
    // 返回自定义分享信息
    return {
      title: 'My App',
      desc: 'My App description',
      path: 'pages/index/index',
    };
  },
});
