var app = getApp();
import $http from './../../API/http'
import create from 'dd-store'
import exampleStore from '/stores/exampleStore'
create.Page({
  store: exampleStore,
  useAll: true,
  data: {
    src: './background.png',
    name: '姓名',
    // store: exampleStore,
    avatar: '',
    realityBalance: '',
    cardNo: ''
  },
  onLoad(query) {
    dd.hideLoading()
    const _that = this;
    dd.setNavigationBar({
      title: '一卡通',
      backgroundColor: '#2474FF'
    });
    this.setData({
      avatar: dd.getStorageSync({ key: 'avatar' }).data
    })
    dd.getNetworkType({
      success: (res) => {
        if (res.networkAvailable) {
        } else {
          dd.showToast({
            type: 'fail',
            content: '未连网仅支持离线支付',
            duration: 3000,
          });
          dd.hideLoading()
        }
      }
    });
  },
  // 获取用户详细信息  
  getUserDetails(){
    const _that = this;
    let ddUserId = dd.getStorageSync({ key: 'userId' }).data;
    let data = {
      ddUserId: ddUserId
    }
    $http.$http('/mingpay-phone/v1/isv/account/queryAccountDetail', data, 'GET').then((res) => {
      this.setData({
        name: res.name,
        realityBalance: res.realityBalance,
        cardNo: res.cardNo
      })
      dd.hideLoading();
    }).catch((res) => {
      dd.hideLoading();
      console.log(res)
    })
  },
  // touchStyle(event) {
  //   console.log(event, 123123123)
  // },
  // touchEnd(event){
  //   console.log(event)
  // },
  onReady() {
    // 页面加载完成
  },
  onShow() {
    const _that = this;
    dd.getNetworkType({
      success: (res) => {
        if (res.networkAvailable) {
          _that.getUserDetails()
        } else {
        }
      }
    });
    // 页面显示
  },
  onHide() {
    // 页面隐藏
  },
  onUnload() {
    // 页面被关闭
     
  },
  onTitleClick() {
    // 标题被点击
  },
  onPullDownRefresh() {
    // 页面被下拉
    const _that = this;
    this.setData({
      src: './background.png',
      name: '姓名',
      avatar: '',
      realityBalance: '',
      cardNo: ''
    })
    this.setData({
      avatar: dd.getStorageSync({ key: 'avatar' }).data
    })
    dd.getNetworkType({
      success: (res) => {
        if (res.networkAvailable) {
        } else {
          dd.showToast({
            type: 'fail',
            content: '未连网仅支持离线支付',
            duration: 3000,
          });
          dd.hideLoading()
        }
      }
    });
    dd.getNetworkType({
      success: (res) => {
        if (res.networkAvailable) {
          _that.getUserDetails()
        } 
        else {
        }
      }
    });
    dd.stopPullDownRefresh()
  },
  onReachBottom() {
  },
  onShareAppMessage() {
    // 返回自定义分享信息
    return {
      title: 'My App',
      desc: 'My App description',
      path: 'pages/index/index',
    };
  },
  navigatorToNext (event) {
    switch (event.target.dataset.type) {
      case '1':
        dd.navigateTo({url:'./../payment/payment'});
        break;
      case '2':
        dd.navigateTo({url:'./../alipayRecharge/alipayRecharge'});
        break;
      case '3':
        dd.navigateTo({url:'./../allowanceList/allowanceList'});
        break;
      case '4':
        dd.navigateTo({url:'./../recordList/recordList'});
        break;
      case '5':
        dd.navigateTo({url:'./../visitors/visitors'})
        break;
      default:
        // 如果表达式的值和以上的case后面的值都没有匹配上，那么就执行这里的代码。
      break;
    }
  },
  navigatorToAllowanceList(){
    
  },
  navigatorToAlipayRecharge(){
    
  },
  navigatorToRecordList(){
    
  },
  toPayment(){
    
  }
});
