const app = getApp()
import $http from './../../API/http'
Page({
  data: {
    type: '1',
    dataList: [],
    currentPage: 1,
    pageSize: 10,
    totalCount: '',
    overdue: false,
    todayVisit: 0,
    arrivedVisit: 0,
    isNull: true // 列表默认为空
  },
  arriveStaus(self) {
    const _that = this
    let data = {
      type: 0,
      self: self,
    }
    $http.$http('/admin/visitor/getCurrentCount', data, 'post').then(res => {
      _that.setData({
        todayVisit: res[1],
        arrivedVisit: res[0]
      })
    }).catch(err => {
    })

  },
  changeType(event) {
    this.setData({
      type: event.target.dataset.type,
      dataList: [],
      currentPage: 1
    })
    this.visitorList(this.data.type)
    this.arriveStaus(this.data.type)
  },
  visitorList(type) {
    const _that = this
    let data = {
      currentPage: this.data.currentPage,
      pageSize: this.data.pageSize,
      type: type
    }
    $http.$http('/admin/visitor/getRecordList', data, 'post').then(res => {
      let dataList = res.records;
      let dataListSource = _that.data.dataList;;
      if (dataList.length > 0) {
        dataList.forEach((item, index) => {
          if (new Date(item.endTime.replace(/\-/g, "/")).getTime() < new Date().getTime()) {
            item.overdue = true
          }
          else {
            item.overdue = false
          }
          if (new Date(item.endTime.replace(/\-/g, "/")).getTime() - new Date(item.startTime.replace(/\-/g, "/")).getTime() < 24 * 60 * 60 * 3 * 1000) {
            item.longTime = false
          }
          else {
            item.longTime = true
          }
          item.endTime = _that.timeToStr(item.endTime)
          item.startTime = _that.timeToStr(item.startTime)
          dataListSource.push(item)
        })
        dataList = dataListSource
        let totalCount = Math.ceil(parseInt(res.total) / _that.data.pageSize)
        _that.setData({
          dataList: dataList,
          totalCount: totalCount,
          isNull: false
        })
      }
      else {
        _that.setData({
          dataList: [],
          totalCount: 1,
          isNull: true
        })
      }
    })
  },
  timeToStr(time) {
    if (/-/.test(time)) {
      time = time.replace(/\-/g, "/")
    }
    let timeData = new Date(time)
    let year = timeData.getFullYear()
    let month = timeData.getMonth() + 1
    let date = timeData.getDate()
    let hour = timeData.getHours()
    let minute = timeData.getMinutes()
    return {
      year: year,
      month: month.toString().length > 1 ? month : '0' + month,
      date: date.toString().length > 1 ? date : '0' + date,
      hour: hour.toString().length > 1 ? hour : '0' + hour,
      minute: minute.toString().length > 1 ? minute : '0' + minute,
      yearMonthDate: `${year}年${month.toString().length > 1 ? month : '0' + month}月${date.toString().length > 1 ? date : '0' + date}日`,
      hourMinute: `${hour.toString().length > 1 ? hour : '0' + hour}:${minute.toString().length > 1 ? minute : '0' + minute}`,
      allTime: `${year}年${month.toString().length > 1 ? month : '0' + month}月${date.toString().length > 1 ? date : '0' + date}日 ${hour.toString().length > 1 ? hour : '0' + hour}:${minute.toString().length > 1 ? minute : '0' + minute}分`
    }
  },
  navigatorToNext(event) {
    dd.navigateTo({ url: `./../visitorsDetail/visitorsDetail?item=${JSON.stringify(event.target.dataset.item)}` })
  },
  appointment() {
    dd.navigateTo({ url: './../reservations/reservations' });
  },
  resetData() {
    this.setData({
      type: '1',
      dataList: [],
      currentPage: 1,
      pageSize: 10,
      totalCount: '',
      overdue: false,
      todayVisit: 0,
      arrivedVisit: 0
    })
  },
  onLoad(query) {
    console.log('进入onLoad')
    this.resetData()
    dd.setNavigationBar({ title: '智能访客' });
    this.visitorList(1)
    this.arriveStaus(1)
  },

  onReady() {
  },
  onShow() {
    // 页面显示
    console.log('进入onshow')
  },
  onHide() {
    // 页面隐藏
  },
  onUnload() {
    // 页面被关闭
  },
  onTitleClick() {
    // 标题被点击
  },
  onReachBottom() {
    let currentNum = '';
    if (this.data.currentPage < this.data.totalCount) {
      currentNum = this.data.currentPage + 1
      this.setData({
        currentPage: currentNum
      })
      this.visitorList(this.data.type)
    }
  },
  onPullDownRefresh() {
    this.setData({
      type: '1',
      dataList: [],
      currentPage: 1,
      pageSize: 10,
      totalCount: '',
      overdue: false,
    })
    this.visitorList(this.data.type)
    this.arriveStaus(1)
    dd.stopPullDownRefresh()
     
  },
  onShareAppMessage() {
    // 返回自定义分享信息
    return {
      title: 'My App',
      desc: 'My App description',
      path: 'pages/index/index',
    };
  },
});
